Can not get MCP3008 to work with Agent Version 1.0.0.20838


#1

I understand that the new Agent Version 2.X will not work with the MCP3008 ADC but
I would like to get it running with Version 1.2 just to verify that I have wired it up correctly.
To that end I have connected a Raspberry Pi 1 Model B+ with the device, added the MCP3008
via the Cayenne software and then placed a 1.5 v battery between MCP
3008 pin 1 (CH0) and ground. I selected the extension button and observed that for the MCP3008, channel 0, the voltage remained at .05 and did not change when I connected the battery. Does anyone have an idea what I might be doing wrong.

Thanks

Jerry


#2

agent 1.x will be discontinued shortly, so you can try to add MCP3008 to pi and using https://github.com/myDevicesIoT/Cayenne-MQTT-Python send sensor value to cayenne.